# Maintainer: Felix Yan <felixonmars@archlinux.org>

_hkgname=optics-extra
pkgname=haskell-optics-extra
pkgver=0.4.1
pkgrel=1
pkgdesc="Extra utilities and instances for optics-core"
url="https://github.com/well-typed/optics-extra"
license=('BSD')
arch=('x86_64')
depends=('ghc-libs' 'haskell-hashable' 'haskell-indexed-profunctors'
         'haskell-indexed-traversable-instances' 'haskell-optics-core'
         'haskell-unordered-containers' 'haskell-vector')
makedepends=('ghc')
source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
sha512sums=('1ce442351b012175fd0b0dbc04fc1a964b3c5cc74eb431b2c189507c4d8818c790d2a828d7c2be9d7ef7472bb6fffdafcd0c1a7388255857c731bc6643392fe3')

build() {
    cd $_hkgname-$pkgver

    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname --enable-tests \
        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
    runhaskell Setup build $MAKEFLAGS
    runhaskell Setup register --gen-script
    runhaskell Setup unregister --gen-script
    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
}

check() {
    cd $_hkgname-$pkgver
    runhaskell Setup test --show-details=direct
}

package() {
    cd $_hkgname-$pkgver

    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
    runhaskell Setup copy --destdir="$pkgdir"
    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
}
